| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMaterialEngine Struct Reference
[Textures & Materials]

This interface represents the engine part of the material definition. More...

`#include <iengine/material.h>`

Inheritance diagram for iMaterialEngine:

[legend]
List of all members.

## Public Member Functions
virtual iTextureWrapper * | GetTextureWrapper (csStringID name)=0
| Get a texture by name.
virtual iTextureWrapper * | GetTextureWrapper ()=0
| Get the base texture from the material.
virtual bool | IsVisitRequired () const =0
| Return true if it is needed to call Visit().
virtual void | Visit ()=0
| Visit all textures.

## Detailed Description

This interface represents the engine part of the material definition.

Using this interface you will be able to access the original texture wrappers that were used to create the material. If you have something that implements iMaterial you can query for iMaterialEngine. So this interface basically augments iMaterial with engine specific features.

Main ways to get pointers to this interface:

- scfQueryInterface<iMaterialEngine>() from iMaterial

Definition at line 100 of file material.h.

## Member Function Documentation

virtual iTextureWrapper* iMaterialEngine::GetTextureWrapper | ( | csStringID | name | ) | `[pure virtual]`

Get a texture by name.

virtual iTextureWrapper* iMaterialEngine::GetTextureWrapper | ( |  | ) | `[pure virtual]`

Get the base texture from the material.

virtual bool iMaterialEngine::IsVisitRequired | ( |  | ) | const`[pure virtual]`

Return true if it is needed to call Visit().

virtual void iMaterialEngine::Visit | ( |  | ) | `[pure virtual]`

Visit all textures.

The documentation for this struct was generated from the following file:

- iengine/material.h